/*************************************************************************
 *
 * FILE  port.hpp
 * Copyright (c) 2005, 2006 Daniel Kahlin <daniel@kahlin.net>
 * Copyright (c) 2006, 2007 Hannu Nuotio <hannu.nuotio@pp.inet.fi>
 * Written by Daniel Kahlin <daniel@kahlin.net> &
 *            Hannu Nuotio <hannu.nuotio@pp.inet.fi>
 * $Id: port.hpp,v 1.7 2007-01-02 21:53:43 tlr Exp $
 *
 * DESCRIPTION 
 *
 ******/

#ifndef PORT_HPP
#define PORT_HPP
#include <string>
#include "../util/types.hpp"

class Port
{
public:
    Port(std::string portbase);
    ~Port();

    uint8_t read();
    void write(uint8_t data);
    void tristate();

private:
    int fd;
};


#endif  /* PORT_HPP */
/* eof */
